MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027934Open CASCADE[OCCT] OCCT:Data Exchangepublic2016-10-06 12:382016-12-09 16:38
Reporterika 
Assigned Toapn 
PrioritynormalSeverityfeature 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0027934: Data Exchange - implement STEP common labels
DescriptionImplement possibility to read/write STEP PMI common labels: a presentation with annotation plane without any connections to shapes or DGTs.
Steps To ReproduceCommon labels was implemented as a dimensions with only presentation and annotation plane, without any links to shapes. Special dimension type was added to identify common labels.

Dear GKA,
could you please review branch CR27934?
TagsNo tags attached.
Test case numbergdt export B6, gdt presentation B5
Attached Files? file icon bug27934_TEST_Machine_Part-brep-pmi.stp (483,117 bytes) 2016-10-10 14:55

- Relationships

-  Notes
(0058453)
git (administrator)
2016-10-06 12:41

Branch CR27934 has been created by ika.

SHA-1: b10bed1906765a6babece1b7edf1b9242eab8f1b


Detailed log of new commits:

Author: ika
Date: Wed Oct 5 17:02:27 2016 +0300

    0027934: Implement STEP common labels
    implement import
(0058522)
git (administrator)
2016-10-10 14:50

Branch CR27934 has been updated forcibly by ika.

SHA-1: c33e58b341e0699bca71767fda21be6fe16f6900
(0058950)
gka (developer)
2016-10-21 11:59

Branch CR27934 is ready to be tested
(0058960)
git (administrator)
2016-10-21 14:06

Branch CR27934 has been updated forcibly by apv.

SHA-1: 16fddbacf7e93be170f1cbcad9f3a03861a2c8a8
(0058961)
apv (tester)
2016-10-21 14:07

Branch CR27934 has been rebased on the current master
(0059032)
apv (tester)
2016-10-24 16:18

Dear BugMaster,

Branch CR27934 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 16fddbacf7e93be170f1cbcad9f3a03861a2c8a8

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MasOS: 0 (0 on master)
products component:
   Linux: 63
   Windows: 0
   MacOS: 1135

Regressions/Differences:
Not detected

Testing cases:
gdt export B6 - OK
http://occt-tests/CR27934-master-OCCT/Debian70-64/gdt/export/B6.html [^]
http://occt-tests/CR27934-master-OCCT/Windows-64-VC10/gdt/export/B6.html [^]
gdt presentation B5 - OK
http://occt-tests/CR27934-master-OCCT/Debian70-64/gdt/presentation/B5.html [^]
http://occt-tests/CR27934-master-OCCT/Windows-64-VC10/gdt/presentation/B5.html [^]

Testing on Linux:
Total MEMORY difference: 90717140 / 90251667 [+0.52%]
Total CPU difference: 19400.849999999926 / 19232.099999999846 [+0.88%]

Testing on Windows:
Total MEMORY difference: 57202712 / 57220230 [-0.03%]
Total CPU difference: 17960.535530898665 / 18211.026336598778 [-1.38%]
(0059415)
git (administrator)
2016-10-28 21:37

Branch CR27934 has been deleted by kgv.

SHA-1: 16fddbacf7e93be170f1cbcad9f3a03861a2c8a8

- Related Changesets
occt: master 0b622d67
Timestamp: 2016-10-05 14:02:27
Author: ika
Committer: apn
Details ] Diff ]
0027934: Data Exchange - implement STEP common labels
implement import/export
update test cases
mod - src/STEPCAFControl/STEPCAFControl_GDTProperty.cxx Diff ] File ]
mod - src/STEPCAFControl/STEPCAFControl_Reader.cxx Diff ] File ]
mod - src/STEPCAFControl/STEPCAFControl_Writer.cxx Diff ] File ]
mod - src/XCAFDimTolObjects/XCAFDimTolObjects_DimensionType.hxx Diff ] File ]
mod - src/XDEDRAW/XDEDRAW_GDTs.cxx Diff ] File ]
mod - tests/gdt/export/A1 Diff ] File ]
mod - tests/gdt/export/A2 Diff ] File ]
mod - tests/gdt/export/A3 Diff ] File ]
mod - tests/gdt/export/A4 Diff ] File ]
mod - tests/gdt/export/A5 Diff ] File ]
mod - tests/gdt/export/A6 Diff ] File ]
mod - tests/gdt/export/A7 Diff ] File ]
mod - tests/gdt/export/A8 Diff ] File ]
mod - tests/gdt/export/A9 Diff ] File ]
mod - tests/gdt/export/B1 Diff ] File ]
mod - tests/gdt/export/B2 Diff ] File ]
mod - tests/gdt/export/B3 Diff ] File ]
mod - tests/gdt/export/B4 Diff ] File ]
mod - tests/gdt/export/B5 Diff ] File ]
add - tests/gdt/export/B6 Diff ] File ]
mod - tests/gdt/export/end Diff ] File ]
mod - tests/gdt/import/A2 Diff ] File ]
mod - tests/gdt/import/A5 Diff ] File ]
mod - tests/gdt/presentation/A2 Diff ] File ]
mod - tests/gdt/presentation/A4 Diff ] File ]
add - tests/gdt/presentation/B5 Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-10-06 12:38 ika New Issue
2016-10-06 12:38 ika Assigned To => ika
2016-10-06 12:41 git Note Added: 0058453
2016-10-06 14:18 kgv Summary Implement STEP common labels => Data Exchange - implement STEP common labels
2016-10-10 14:50 git Note Added: 0058522
2016-10-10 14:55 ika Assigned To ika => gka
2016-10-10 14:55 ika Status new => resolved
2016-10-10 14:55 ika Steps to Reproduce Updated View Revisions
2016-10-10 14:55 ika File Added: bug27934_TEST_Machine_Part-brep-pmi.stp
2016-10-21 11:59 gka Note Added: 0058950
2016-10-21 11:59 gka Assigned To gka => bugmaster
2016-10-21 11:59 gka Status resolved => reviewed
2016-10-21 13:23 apv Assigned To bugmaster => apv
2016-10-21 14:06 git Note Added: 0058960
2016-10-21 14:07 apv Note Added: 0058961
2016-10-24 15:04 apv Test case number => gdt export B6, gdt presentation B5
2016-10-24 16:18 apv Note Added: 0059032
2016-10-24 16:18 apv Assigned To apv => bugmaster
2016-10-24 16:18 apv Status reviewed => tested
2016-10-28 14:35 apn Changeset attached => occt master 0b622d67
2016-10-28 14:35 apn Assigned To bugmaster => apn
2016-10-28 14:35 apn Status tested => verified
2016-10-28 14:35 apn Resolution open => fixed
2016-10-28 21:37 git Note Added: 0059415
2016-12-09 16:30 user533 Status verified => closed
2016-12-09 16:38 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker